Update webhook subscriptionv3.0

PATCH
/api/v3/webhook_subscriptions/{id}

Updates a webhook subscription. At least one field must be provided.

Authorization

ApiKeyAuth
x-api-key<token>

Project API key authentication

In: header

Path Parameters

idstringRequired

Webhook subscription ID

Format: webhookSubscriptionId

Request Body

application/json

webhook_urlstring

HTTPS URL to receive webhook events

Format: uri
enabled_eventsarray of string

Array of event types to subscribe to

versionenum

Webhook payload version

Possible values:
V1V2V3

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v3/webhook_subscriptions/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "webhook_url": "string",  "version": "V1",  "enabled_events": [    "string"  ],  "secret": "string",  "created_at": "string",  "updated_at": "string"}